org.apache.commons.lang3.concurrent

## Class MultiBackgroundInitializer.MultiBackgroundInitializerResults

- java.lang.Object
- - org.apache.commons.lang3.concurrent.MultiBackgroundInitializer.MultiBackgroundInitializerResults

- Enclosing class:
    MultiBackgroundInitializer

      public static class MultiBackgroundInitializer.MultiBackgroundInitializerResults
      extends Object

  A data class for storing the results of the background initialization performed by `MultiBackgroundInitializer`. Objects of this inner class are returned by `MultiBackgroundInitializer.initialize()`. They allow access to all result objects produced by the `BackgroundInitializer` objects managed by the owning instance. It is also possible to retrieve status information about single `BackgroundInitializer`s, i.e. whether they completed normally or caused an exception.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConcurrentException` | `getException(String name)` Returns the `ConcurrentException` object that was thrown by the `BackgroundInitializer` with the given name.
    `BackgroundInitializer<?>` | `getInitializer(String name)` Returns the `BackgroundInitializer` with the given name.
    `Object` | `getResultObject(String name)` Returns the result object produced by the `BackgroundInitializer` with the given name.
    `Set<String>` | `initializerNames()` Returns a set with the names of all `BackgroundInitializer` objects managed by the `MultiBackgroundInitializer`.
    `boolean` | `isException(String name)` Returns a flag whether the `BackgroundInitializer` with the given name caused an exception.
    `boolean` | `isSuccessful()` Returns a flag whether the whole initialization was successful.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInitializer

          public BackgroundInitializer<?> getInitializer(String name)

      Returns the `BackgroundInitializer` with the given name. If the name cannot be resolved, an exception is thrown.
      Parameters:
        `name` - the name of the `BackgroundInitializer`
      Returns:
        the `BackgroundInitializer` with this name
      Throws:
        `NoSuchElementException` - if the name cannot be resolved

    - #### getResultObject

          public Object getResultObject(String name)

      Returns the result object produced by the `BackgroundInitializer` with the given name. This is the object returned by the initializer's `initialize()` method. If this `BackgroundInitializer` caused an exception, null is returned. If the name cannot be resolved, an exception is thrown.
      Parameters:
        `name` - the name of the `BackgroundInitializer`
      Returns:
        the result object produced by this `BackgroundInitializer`
      Throws:
        `NoSuchElementException` - if the name cannot be resolved

    - #### isException

          public boolean isException(String name)

      Returns a flag whether the `BackgroundInitializer` with the given name caused an exception.
      Parameters:
        `name` - the name of the `BackgroundInitializer`
      Returns:
        a flag whether this initializer caused an exception
      Throws:
        `NoSuchElementException` - if the name cannot be resolved

    - #### getException

          public ConcurrentException getException(String name)

      Returns the `ConcurrentException` object that was thrown by the `BackgroundInitializer` with the given name. If this initializer did not throw an exception, the return value is null. If the name cannot be resolved, an exception is thrown.
      Parameters:
        `name` - the name of the `BackgroundInitializer`
      Returns:
        the exception thrown by this initializer
      Throws:
        `NoSuchElementException` - if the name cannot be resolved

    - #### initializerNames

          public Set<String> initializerNames()

      Returns a set with the names of all `BackgroundInitializer` objects managed by the `MultiBackgroundInitializer`.
      Returns:
        an (unmodifiable) set with the names of the managed `BackgroundInitializer` objects

    - #### isSuccessful

          public boolean isSuccessful()

      Returns a flag whether the whole initialization was successful. This is the case if no child initializer has thrown an exception.
      Returns:
        a flag whether the initialization was successful

Copyright © 2001–2023 The Apache Software Foundation. All rights reserved.